Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(395)

Issue 9150014: Cleanup AuthenticatorFactory implementations. (Closed)

Created:
8 years, 8 months ago by Sergey Ulanov
Modified:
8 years, 8 months ago
Reviewers:
Wez
CC:
chromium-reviews, jamiewalch+watch_chromium.org, hclam+watch_chromium.org, simonmorris+watch_chromium.org, wez+watch_chromium.org, amit, sanjeevr, garykac+watch_chromium.org, lambroslambrou+watch_chromium.org, sergeyu+watch_chromium.org
Visibility:
Public.

Description

Cleanup AuthenticatorFactory implementations. 1. Removed V1HostAuthenticatorFactory and V2HostAuthenticatorFactory, as they are not used anywhere. 2. Changed the code to pass RSAPrivateKey by reference instead of pointer. Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=117176

Patch Set 1 #

Patch Set 2 : merged #

Unified diffs Side-by-side diffs Delta from patch set Stats (+21 lines, -105 lines) Patch
M remoting/host/plugin/host_script_object.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/host/remoting_me2me_host.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/host/simple_host_process.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M remoting/protocol/it2me_host_authenticator_factory.h View 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/it2me_host_authenticator_factory.cc View 1 2 chunks +4 lines, -4 lines 0 comments Download
M remoting/protocol/me2me_host_authenticator_factory.h View 1 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/me2me_host_authenticator_factory.cc View 1 2 chunks +3 lines, -3 lines 0 comments Download
M remoting/protocol/v1_authenticator.h View 2 chunks +1 line, -22 lines 0 comments Download
M remoting/protocol/v1_authenticator.cc View 2 chunks +2 lines, -22 lines 0 comments Download
M remoting/protocol/v1_authenticator_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/v2_authenticator.h View 1 2 chunks +1 line, -22 lines 0 comments Download
M remoting/protocol/v2_authenticator.cc View 2 chunks +2 lines, -24 lines 0 comments Download
M remoting/protocol/v2_authenticator_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download

Messages

Total messages: 8 (0 generated)
Sergey Ulanov
8 years, 8 months ago (2012-01-09 23:24:05 UTC) #1
Wez
lgtm
8 years, 8 months ago (2012-01-10 01:48:21 UTC) #2
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/sergeyu@chromium.org/9150014/1
8 years, 8 months ago (2012-01-10 01:48:30 UTC) #3
commit-bot: I haz the power
Can't apply patch for file remoting/protocol/it2me_host_authenticator_factory.cc. While running patch -p1 --forward --force; patching file remoting/protocol/it2me_host_authenticator_factory.cc ...
8 years, 8 months ago (2012-01-10 01:48:35 UTC) #4
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/sergeyu@chromium.org/9150014/5001
8 years, 8 months ago (2012-01-11 02:50:26 UTC) #5
commit-bot: I haz the power
Try job failure for 9150014-5001 (retry) on linux_rel for step "browser_tests". It's a second try, ...
8 years, 8 months ago (2012-01-11 03:50:15 UTC) #6
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/sergeyu@chromium.org/9150014/5001
8 years, 8 months ago (2012-01-11 04:45:20 UTC) #7
commit-bot: I haz the power
8 years, 8 months ago (2012-01-11 06:19:22 UTC) #8
Change committed as 117176

Powered by Google App Engine
This is Rietveld 408576698